package cd.casic.plugin.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Classname BaseInformation
 * @Description 扩展的元数据
 * @Date 2025/5/8 15:07
 * @Created by mianbin
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface BasePluginInformation {

    String group();

    String version();

    String kind();

    String plural();

    String singular();
}
