package cd.casic.ci.commons.bean.process.setting;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线触发器模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Cache {

    // 主键ID
    private String id;

    // 日志缓存
    private int logCache;

    // 制品缓存
    private int artifactCache;
}
