package cd.casic.module.process.process.definition.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname ConditionDo
 * @Description TODO
 * @Date 2025/4/23 20:36
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_condition", autoResultMap = true)
public class ConditionDo extends BaseDO {

    @TableId
    private String condId;

    private String condName;

    private String taskId;
// todo
//    private String createTime;

    private int condType;

    private String condKey;

    private String condValue;
}
