package cd.casic.module.process.support.variable.dao;

import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.module.process.support.variable.dataobject.VariableDo;
import cd.casic.ci.commons.bean.process.definition.Variable;
import cd.casic.module.process.support.variable.model.VariableQuery;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author by mianbin
 * @Classname VariableDao
 * @Description TODO
 * @Date 2025/4/23 20:07
 */
@Mapper
public interface VariableDao extends BaseMapperX<VariableDo> {
    String createVariable(Variable variable);

    void deleteVariable(String varId);

    void updateVariable(Variable variable);

    Variable findOneVariable(String varId);

    List<Variable> findAllVariable();

    List<VariableDo> findVariableList(VariableQuery query);
}
