package cd.casic.module.process.task.code.jpa;

import cd.casic.ci.commons.bean.commons.Pagination;
import cd.casic.ci.commons.bean.jdbc.JdbcTemplate;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.dao.DataAccessException;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;

import javax.sql.DataSource;
import java.util.List;

/**
 * @ClassName JpaTemplate
 * @Author hopeli
 * @Date 2025/5/2 21:27
 * @Version 1.0
 */
public class JpaTemplate implements JpaOperation {
    private static Logger logger = LoggerFactory.getLogger(JpaTemplate.class);
    private DataSource dataSource;
    private JdbcTemplate jdbcTemplate;
    private NamedParameterJdbcTemplate namedParameterJdbcTemplate;

    public JpaTemplate() {
    }

    public JpaTemplate(DataSource dataSource) {
        this.dataSource = dataSource;
        this.jdbcTemplate = new JdbcTemplate(dataSource);
        this.namedParameterJdbcTemplate = new NamedParameterJdbcTemplate(dataSource);
    }

    public JdbcTemplate getJdbcTemplate() {
        return this.jdbcTemplate;
    }

    public NamedParameterJdbcTemplate getNamedParameterJdbcTemplate() {
        return this.namedParameterJdbcTemplate;
    }


    public <T, ID> ID save(T entity, Class<ID> idClass) throws DataAccessException {
        return null;
    }

    public <T> void update(T entity) throws DataAccessException {
    }


    public <T, ID> void delete(Class<T> entityClass, ID id) throws DataAccessException {
    }

    public <T> List<T> findAll(Class<T> entityClass) throws DataAccessException {
        return null;
    }

    public <T, ID> T findOne(Class<T> entityClass, ID id) throws DataAccessException {
        return null;
    }

    public <T, ID> List<T> findList(Class<T> entityClass, List<ID> idList) throws DataAccessException {
        return null;
    }

    public <T> List<T> findList(Object queryObject, Class<T> resultType) throws DataAccessException {
        return null;
    }

    public <T> Pagination<T> findPage(Object queryObject, Class<T> resultType) throws DataAccessException {
        return null;
    }
}
