package cd.casic.module.terminal.controller.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 终端访问参数
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2023/12/26 15:47
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
//@DesensitizeObject  、、todo 自动脱敏的注解
@Schema(name = "TerminalAccessDTO", description = "终端访问参数")
public class TerminalAccessDTO {

    @Schema(description = "userId")
    private Long userId;

    @Schema(description = "username")
    private String username;

}
